--- title: "Get operating system type (G3)" slug: "ses-getclusterserverimagelist" updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/ses-getclusterserverimagelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get operating system type (G3) Available in VPC Get available operating system types. Note This is a dedicated API for third-generation servers of the KVM hypervisor type. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/cluster/getClusterServerImageList (Korea Region) | | GET | /api/sgn-v2/cluster/getClusterServerImageList (Singapore Region) | | GET | /api/jpn-v2/cluster/getClusterServerImageList (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `generationCode` | String | Optional | Server generation code - `G3`: 3rd generation (valid value) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsearchengine.apigw.ntruss.com/api/v2/cluster/getClusterServerImageList' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.productList` | Array | - | Operating system type list: [productList](/docs/en/ses-getclusterserverimagelist#productList) | | `requestId` | String | - | ID for the request - UUID format | #### `productList` The following describes `productList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `productCode` | String | - | Operating system type code | | `productName` | String | - | Operating system version name | | `productType2Code` | String | - | Operating system type | | `productEnglishDesc` | String | - | Operating system version description | | `infraResourceTypeCode` | String | - | Infrastructure resource type | | `softwareTypeCode` | String | - | Software type | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "productList": [ { "productCode": "SW.VELST.OS.LNX64.ROCKY.08.G003", "productName": "Rocky Linux 8", "productType2Code": null, "productEnglishDesc": null, "infraResourceTypeCode": null, "softwareTypeCode": null } ] }, "requestId": "3b1a580e-****-****-****-06e29c1c351d" } ```